Page MenuHomePhabricator

Wikidata's Watchlist in wikipedia are like read Watchlist
Closed, ResolvedPublic

Description

screen shot

Wikidata's Watchlist in wikipedia are like read Watchlists. Cases which doesn't check should be highlighted or bold but now they are like read links.


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz48684

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:21 AM
bzimport set Reference to bz48684.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.May 21 2013, 3:53 PM

mr.heat wrote:

I was always wondering so I checked how the bolding is done. This doesn't solve the problem but I hope it helps the Wikidata developers. Hi, boys and girls. :-)

Every line in the watchlist is either marked with <li class="mw-changeslist-line-watched"> or <li class="mw-changeslist-line-not-watched">. The actual bolding is done by a module called "mediawiki.special.changeslist". This is a CSS file only without any JavaScript. See http://bits.wikimedia.org/static-1.22wmf8/resources/mediawiki.special/mediawiki.special.changeslist.css .

However, this CSS file is not loaded by the resource loader if JavaScript is disabled. I find this confusing (CSS should not depend on JavaScript) but it's not a big problem.

For an unknown reason "watched" are the bold lines and "not-watched" are the non-bold lines. I think somebody confused these names in the code. Keep this in mind and try to not copy & paste this error if possible.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
matej_suchanek reopened this task as Open.Jul 13 2015, 3:55 PM
matej_suchanek updated the task description. (Show Details)
matej_suchanek set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2015, 5:39 PM
Titou awarded a token.Nov 29 2016, 3:07 PM
hoo added a subscriber: hoo.Aug 11 2017, 10:31 PM

What's this task about? What do you expect and what do you get instead?

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 11 2017, 10:31 PM

This is about lines in the users watchlist she did not visited yet (bold), and lines that are already visited (not bold). This is missing for the Wikidata lines injected into the users watchlist.

I'm not sure if it's even possible to solve this because these injected lines point to an external project (wikidata.org).

Fun fact: The comment above by "mr.heat", that was me back in 2013. Wooo. \o/

Change 379961 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Wikibase@master] Wrap links in client watchlists, so that CSS works

https://gerrit.wikimedia.org/r/379961

thiemowmde closed this task as Resolved.Oct 23 2017, 6:09 AM
thiemowmde assigned this task to matej_suchanek.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 23 2017, 6:09 AM

Change 379961 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wrap links in client watchlists, so that CSS works

https://gerrit.wikimedia.org/r/379961